package co.gov.igac.snc.web.util;

import java.text.MessageFormat;

/**
 * Enumeracion para relacionar los codigos de error que se muestran en la pantalla con un detalle
 * tecnico
 *
 *
 * @author felipe.cadena
 */
/*
 * @modified by leidy.gonzalez::14/12/2015::#15513::Se adiciona mensaje de error en caso que no se
 * pueda cargar documento en el FTP.
 */
public enum ECodigoErrorVista {

    COPIA_98_01("CE001",
        "Este trámite no tiene replica que muestre las modificaciones geográficas realizadas en la depuración",
        "No existe registro en la BD asociado al tipo de documento 98"),
    COPIA_98_02("CE002",
        "Este trámite no tiene replica que muestre las modificaciones geográficas realizadas en la depuración",
        "No existe archivo relacionado en el gestor documental"),
    COPIA_98_03("CE003", "Error al verificar la existencia de la replica final",
        "Error en GeneralesBean#validarExistenciaDocumentoGestorDocumental"),
    FECHA_INSCRIPCION_01("FI001", "Se debe ingresar una fecha de inscripción asociada trámite",
        "El predio poyectado(P_PREDIO) asociado al tramite tiene el dato 'FECHA_INSCRIPCION_CATASTRAL' en null"),
    FECHA_INSCRIPCION_02("FI002",
        "No se puede enviar a modificar información geografica debido a que hace falta el ingreso de la fecha de inscripción catastral, por favor genere Inscripciones/Decretos y guarde. Y despues Valide y Guarde",
        "El predio poyectado(P_PREDIO) asociado al tramite tiene el dato 'FECHA_INSCRIPCION_CATASTRAL' en null"),

    PREDIO_INHABILITADO_TRAMITE("PIT001", "El trámite no permite la selección de este predio",
        "El predio esta deshabilitado para este tramite en la tabla 'DETERMINA_TRAMITE_PH'"),
    PREDIO_INHABILITADO_TRAMITE_RECT("PIT002",
        "Datos no válidos {0}  en la rectificación de la Ficha matriz",
        "El predio esta deshabilitado para este tramite y estos datos de la rectificacion en la tabla 'DETERMINA_TRAMITE_PH'"),
    PREDIO_CON_TRAMITES_EJECUCION("PTE001", "El predio {0} tiene trámites en ejecución",
        "El predio tiene tramites asociaos segun la consulta: ITramiteLocal#buscarTramitesPendientesDePredio(java.lang.Long)"),
    PREDIO_NO_ACTIVO_SISTEMA("PNAS001", "El predio {0}, no se encuentra dentro del SNC",
        "El predio {0}, no se encuentra dentro del SNC Segun la validacion en: GestionarSolicitudesMB#validarPredioEnElSNC(Predio)"),
    PREDIOS_NO_SELECCIONADOS("PNS001", "No existen predios seleccionados",
        "No existen predios seleccionados"),
    PREDIOS_NO_VALIDOS("PNV001",
        "Los predios que está tratando de adicionar, no corresponde al círculo registral. Por favor corrija los datos e intente nuevamente.",
        "Los predios que está tratando de adicionar, no corresponde al círculo registral."),
    DESENGLOBE_ETAPAS_001("DE001", "Debe eliminar el último o últimos predios asociados al piso",
        "Los predios de algun piso no se estan eliminando en orden EntradaProyeccionMB#validarPiso"),
    DESENGLOBE_ETAPAS_002("DE002", "Debe eliminar el último o últimos pisos asociados a la torre",
        "Los predios de algun piso no se estan eliminando en orden EntradaProyeccionMB#validarEdificio"),
    DESENGLOBE_ETAPAS_003("DE003", "No se puede eliminar la ficha matriz",
        "Se seleccionó el predio ficha matriz para eliminar"),
    DESENGLOBE_ETAPAS_004("DE004",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones de destino económico",
        "Se seleccionó la ficha matriz para modificar destino"),
    DESENGLOBE_ETAPAS_005("DE005",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones de destino económico",
        "Se seleccionaron predios originales para modificar destino"),
    DESENGLOBE_ETAPAS_006("DE006",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones del tipo de predio",
        "Se seleccionó la ficha matriz para modificar tipo predio"),
    DESENGLOBE_ETAPAS_007("DE007",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones del tipo de predio",
        "Se seleccionaron predios originales para modificar tipo predio"),
    DESENGLOBE_ETAPAS_008("DE008",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones de la matricula",
        "Se seleccionó la ficha matriz para modificar matricula"),
    DESENGLOBE_ETAPAS_009("DE009",
        "Se han seleccionado predios sobre los cuales no se pueden realizar modificaciones de la matricula",
        "Se seleccionaron predios originales para modificar matricula"),
    DESENGLOBE_ETAPAS_010("DE010",
        "Existe un predio proyectado con número de registro {0}, y numero predial {1} ",
        "Se encontro un predio en PPredio con el numero de registro en  EntradaProyeccionMB#validarExistenciaRegistro"),
    DESENGLOBE_ETAPAS_011("DE011",
        "Existe un predio en firme con número de registro {0}, y numero predial {1} ",
        "Se seleccionaron predios originales para modificar matricula"),
    DESENGLOBE_ETAPAS_012("DE012",
        "Los valores de incremento y Número de registro inicial deben ser mayores que cero.",
        "Alguno de los campos incremento o Número de registro inicial tienen valor cero."),
    DESENGLOBE_ETAPAS_013("DE013", "La dirección solo se puede modificar para un predio a la vez.",
        "Se seleccionó mas de un predio para modificar la direccion"),
    DESENGLOBE_ETAPAS_014("DE014",
        "La fecha de inscripción catastral no puede ser menor a la creación del PH o condominio.",
        "Se establecio una de inscripcion anterior a la creacion del PH o condominio ProyectarConservacionMB#validarFechaInscripcionEtapas"),
    DESENGLOBE_ETAPAS_015("DE015", "Debe seleccionar por lo menos un Predio.",
        "No se seleccionaron predios para realizar accion en la entrada de la proyeccion"),
    DESENGLOBE_ETAPAS_016("DE016", "Debe quedar por lo menos un predio proyectado",
        "No se pueden eliimnar todos los predios proyectados en la entrada de la proyección"),
    RECTIFICACION_LINDERO_001("RL001",
        "Ocurrio un error al guardar la fecha de inscripción en los predios de la rectificación.",
        "Error en asignacion fecha inscipcion ProyectarConservacionMB#registrarFechaRectificacionAreaLinderos"),

    RECTIFICACION_ZONAS_MASIVO_001("RZM001",
        "Se están procesando las zonas del predio, esto puede tomar unos minutos.",
        "Ya existe un job en proceso para el tramite RectificacionAreaMB#calcularZonasMatriz"),
    RECTIFICACION_ANIO_MASIVO_001("RAM001", "El año no puede ser superior al actual.",
        "El año insertado en mayor al año actual ProyectarConseracionMB#guardarDatosUnidadConstruccionYComponentes"),
    RECTIFICACION_ANIO_MASIVO_002("RAM002", "El año de construcción no ha sido modificado.",
        "No se modifico el año con respecto al que esta en firme ProyectarConseracionMB#guardarDatosUnidadConstruccionYComponentes"),
    RECTIFICACION_CALCULO_AVALUO_001("RCA001",
        "Ocurrio un error calculando los avaluos de la rectificación",
        "Error al calcular los avaluos del tramite ProyectarConseracionMB#recalcularAvaluosRectificacionMatriz"),
    RECTIFICACION_FECHA_INSCRIPCION_001("RFI_001",
        "No se puede enviar a modificar información geografica debido a que hace falta el ingreso de la fecha de inscripción catastral, agregar campos obligatorios en Justificación de Propiedad. Y despues Valide y Guarde",
        "Predios de rectificacion sin fecha de inscripcion ProyectarConseracionMB#validarFechasRectificacionMatriz"),
    NO_FECHA_INSCRIPCION_001("DFI001",
        "No se puede enviar a modificar información geografica debido a que hace falta el ingreso de la fecha de inscripción catastral, agregar campos obligatorios en Justificación de Propiedad. Y despues Valide y Guarde",
        "Predios del tramite sin fecha de inscripcion ProyectarConseracionMB#validarFechasDesenglobes"),

    NOTIFICACION_MASIVO_001("NM001", "Por favor seleccione antes un solicitante o afectado.",
        "No se seleccion ningun solicitante de las lista disponible ComunicacionNotificacionResolucionMB#generarReporteComunicacionNotificacion"),
    NOTIFICACION_MASIVO_002("NM002",
        "Uno o varios de los solicitantes seleccionados ya han generado la notificacion",
        "Ya existen documentos generados para alguno de los seleccionados ComunicacionNotificacionResolucionMB#generarReporteComunicacionNotificacion"),
    NOTIFICACION_MASIVO_003("NM003",
        "Uno o varios de los solicitantes seleccionados no han generado la notificacion",
        "Se quiere registrar la notificacion sin generarla ComunicacionNotificacionResolucionMB#activarBotonAceptarOAvanzar"),
    NOTIFICACION_MASIVO_004("NM004", "Solo se puede seleccionar un afectado para modificar",
        "Se seleccionó mas de un solicitante para la modificacion ComunicacionNotificacionResolucionMB#activarBotonAceptarOAvanzar"),
    NOTIFICACION_MASIVO_005("NM005", "Solo se puede seleccionar un afectado para eliminar",
        "Se seleccionó mas de un solicitante para la eliminacion ComunicacionNotificacionResolucionMB#validateAfectadoSeleccion"),
    NOTIFICACION_MASIVO_006("NM006", "No se pueden eliminar los propietarios a notificar",
        "Se seleccionó un propietario para eliminacion ComunicacionNotificacionResolucionMB#activarBotonAceptarOAvanzar"),
    NOTIFICACION_AVISO_001("NA001", "Error al radicar en aviso en el sistema de correspondencia",
        "No se retorno numero de radicacion para el aviso: NotificacionPorEdictoMB#obtenerNumeroRadicado"),
    NOTIFICACION_AVISO_002("NA002",
        "Se seleccionó un solicitante al que ya se la generado el documento",
        "Solicitante con fecha de fijacion del documento ya definida: NotificacionPorEdictoMB#validarGeneracionEdicto"),
    NOTIFICACION_AVISO_003("NA003",
        "Se debe seleccionar solo un solicitante para ver el documento asociado",
        "Se seleccionó mas de un solicitante o no se ha seleccionado ninguno: NotificacionPorEdictoMB#validarVerEdicto"),
    NOTIFICACION_AVISO_004("NA004", "El solicitante seleccionado ya tiene un documento asociado",
        "Se seleccionó un solicitante al que aun no se le genera el documento: NotificacionPorEdictoMB#validarVerEdicto"),
    NOTIFICACION_AVISO_005("NA005",
        "Debe seleccionar al menos un solicitante para registrar el aviso",
        "No se seleccionó solicitante para el registro: NotificacionPorEdictoMB#validarRegistroEdicto"),
    NOTIFICACION_AVISO_006("NA006",
        "Solo se pueden regsitrar aviso que fueron generados con dirección",
        "Se seleccionó un solicitante que no se genero el aviso con direccion: NotificacionPorEdictoMB#validarRegistroEdicto"),
    NOTIFICACION_AVISO_007("NA007",
        "Se ha seleccionado uno o más solicitantes que ya han tenido registro de aviso ",
        "Se seleccionó un solicitante que ya se le ha generado el aviso: NotificacionPorEdictoMB#validarRegistroEdicto"),
    NOTIFICACION_AVISO_008("NA008", "Error al actualizar el tiempo de caducidad de la actividad ",
        "Error en cambiar el tiempo de caducidad, la activiad tomara 5 dias en avanzar: NotificacionPorEdictoMB#asignarFechaAvanceAviso"),
    NOTIFICACION_AVISO_009("NA009",
        "No se pudo generar el número de radicación para el solicitante con número de identificación: ",
        "Para uno de los solicitantes no se pudo generar el número de radicación: ComunicacionNotificacionResolucionMB#generarReporteComunicacionNotificacion"),
    NOTIFICACION_AVISO_010("NA010", "Se debe ingresar la fecha de fijación del aviso ",
        "No se ingreso fecha en el campo fechaFijacionEdicto NotificacionPorEdictoMB#validarGeneracionEdicto"),

    RADICACION_ACTUALIZACION_001("RACT001",
        "Ya existe un proceso de actualizacion para el municipio seleccionado",
        "Existen un proceso de actualizacio para el municipio : RadicacionActualizacionMB#iniciarValidacion"),
    RADICACION_ACTUALIZACION_002("RACT002",
        "Ocurrió un error al generar el reporte de inconsistencias",
        "Error al generar el reporte en  : RadicacionActualizacionMB#generarReporteInconsistencias"),
    RADICACION_ACTUALIZACION_003("RACT003", "Ocurrió un error al generar el reporte de radicaciones",
        "Error al generar el reporte en  : RadicacionActualizacionMB#generarReporteRadicaciones"),
    RADICACION_ACTUALIZACION_004("RACT004",
        "No se encontraron los datos necesarios para iniciar el proceso de actualizacion",
        "No existe registro de cargue en la tabla MUNICIPIO_ACTUALIZACION   : RadicacionActualizacionMB#iniciarValidacion"),
    RADICACION_ACTUALIZACION_005("RACT005",
        "Los nombres de los archivos ingresados no corresponden con los suministrados en el cargue",
        "Los archivos cargados en el FTP no corresponden con el nombre ingresado por el usuario : RadicacionActualizacionMB#iniciarValidacion"),
    RADICACION_ACTUALIZACION_006("RACT006",
        "Ocurrio un error al generar el numero de solicitud desde el sistema de corespondencia",
        "Error en la radicacion de CORDIS: RadicacionActualizacionMB#obtenerNumeroSolicitud"),
    RADICACION_ACTUALIZACION_007("RACT007", "Se presento un error en el procedimiento de radicación",
        "Error al invocar el procedimiento almacenado PKG_ACTUALIZACIONX.RADICACION"),
    RADICACION_ACTUALIZACION_008("RACT008", "Se presento un error en el procedimiento de validación",
        "Error al invocar el procedimiento almacenado PKG_ACTUALIZACIONX.VALIDAR"),
    RADICACION_ACTUALIZACION_009("RACT009",
        "Se presento un error en el procedimiento de eliminación",
        "Error al invocar el procedimiento almacenado PKG_ACTUALIZACIONX.ELIMINAR_ACTUALIZACION"),
    RADICACION_ACTUALIZACION_010("RACT010",
        "Se debe seleccionar un proceso de actualizacion para validar",
        "No se selecciono un municipio_actualizacion para la validacion"),
    RADICACION_ACTUALIZACION_011("RACT011", "Error cargando archivo de proceso de actualización",
        "Error cargando archivo ZIP actualización: RadicacionActualizacionMB#archivoUpload"),
    RADICACION_ACTUALIZACION_012("RACT012",
        "El archivo seleccionado se cargó exitosamente al sistema.",
        "Archivo zip de actualizacion cargado: RadicacionActualizacionMB#archivoUpload"),
    RADICACION_ACTUALIZACION_013("RACT013",
        "Se debe seleccionar el departamento y el municipio para iniciar un nuevo proceso de actualización.",
        "Departamento o municipio selecionados son nulos: RadicacionActualizacionMB#setupNuevoProceso"),
    RADICACION_ACTUALIZACION_014("RACT014", "La estructura del archivo .zip no es correcta.",
        "Estructura del archivo comprimido incorrecta: RadicacionActualizacionMB#setupNuevoProceso"),
    RADICACION_ACTUALIZACION_015("RACT014",
        "Los trámites no pueden radicar, porque hay predios que tienen trámites en ejecución.",
        "No se pueden radicar los predios porque existen proyecciones activas para estos predios"),
    DETERMINA_PROCEDENCIA_ACT_001("DPA001",
        "Ha seleccionado trámite(s) al (los) cual(es) tienen predios asociados que se encuentran en proceso de actualización",
        "Se selecciono un tramite con predios en actualizacion EstableceProcedenciaSolicitudMB#validarTramitesActualizacion"),

    GENERA_RESOLUCION_ACT_001("GRA001",
        "Ha seleccionado tramites que actualmente estan generando resolucion",
        "GeneraResolucionMB#generarNumeroResolucionYGuardarDocumento"),
    GENERA_RESOLUCION_ACT_002("GRA002", "No se pudo generar el nùmero de la resolucion",
        "GeneraResolucionMB#generarNumeroResolucionYGuardarDocumento"),
    GENERA_RESOLUCION_ACT_003("GRA003", "No existen tramites seleccionados a visualizar",
        "GeneraResolucionMB#generarNumeroResolucionYGuardarDocumento"),
    GENERA_RESOLUCION_ACT_004("GRA004", "Ocurrió un error obteniedo el PPredio",
        "GeneraResolucionMB#validarActividadTramitesConservacionOActualizacion"),
    GENERA_RESOLUCION_ACT_005("GRA005", "El tramite no se encuentra reactivado actualmente...",
        "GeneraResolucionMB#validarActividadTramitesConservacionOActualizacion"),
    GENERA_RESOLUCION_ACT_006("GRA006",
        "No se encontraron tramites asociados a la solicitud del usuario logeado",
        "GeneraResolucionMB#validarActividadTramitesConservacionOActualizacion"),
    GENERA_RESOLUCION_ACT_007("GRA007",
        "No se encontro ningun municipio asociado al Usuario Logeado",
        "GeneraResolucionMB#validarActividadTramitesConservacionOActualizacion"),
    GENERA_RESOLUCION_ACT_008("GRA008",
        "No existen tramites para esa solicitud en el estado de RADICACION_EXITOSA, espere un momento",
        "GeneraResolucionMB#validarActividadTramitesConservacionOActualizacion"),
    //Proceso de carga de tablas de avaluos en actualizacion
    REGISTRO_TABLAS_ACT_001("RTA001", "Se debe seleccionar un Departamento",
        "departamentoSeleccion es nulo :RegistroTablasActualizacionMB#buscar"),
    REGISTRO_TABLAS_ACT_002("RTA002", "Se debe seleccionar un Municipio",
        "municipioSeleccionado es nulo : RegistroTablasActualizacionMB#buscar"),
    REGISTRO_TABLAS_ACT_003("RTA003", "Ocurrio un error al eliminar la tabla de actualización",
        "Error al invocar el procedimiento de eliminacion de RegistroTablasActualizacionMB#eliminarTabla"),
    REGISTRO_TABLAS_ACT_004("RTA004",
        "Archivo sin estructura valida, verifique. El archivo de tablas no tiene las columnas requeridas",
        "Error en la lectura del archvio de tablas RegistroTablasActualizacionMB#cargarTabla"),
    REGISTRO_TABLAS_ACT_005("RTA005", "El archivo de reglas no tiene las columnas requeridas",
        "Error en la lectura del archvio de reglas RegistroTablasActualizacionMB#cargarRegla"),
    REGISTRO_TABLAS_ACT_006("RTA006", "Error al carga archivo",
        "Excepcion durante la carga del archivo"),
    REGISTRO_TABLAS_ACT_007("RTA007", "No se ha cargado ninguna tabla, verifique",
        "Archivos no cargados aun RegistroTablasActualizacionMB#validarArchivosCarga"),
    REGISTRO_TABLAS_ACT_008("RTA008", "Error al cargar las tablas en la base de datos",
        "Error en procedimiento cargarTablasLiquidacion"),
    REGISTRO_TABLAS_ACT_009("RTA009", "Error al calcular avaluos",
        "Error en procedimiento calcularAvaluosTablas"),
    REGISTRO_TABLAS_ACT_010("RTA010", "Error al aplicar las tablas de valores",
        "Error en procedimiento aplicarTablasLiquidacion"),
    REGISTRO_TABLAS_ACT_011("RTA011", "Se actualizaron los avaluos del municipio de manera correcta",
        "Actualizacion avaluos correcta"),
    REGISTRO_TABLAS_ACT_012("RTA012", "Se aplicaron las tablas de valores de manera correcta",
        "Aplicacion tablas correcta"),
    REGISTRO_TABLAS_ACT_013("RTA013",
        "Error al guardar en la BD los archivos y registros de las tablas de actualizacion",
        "Error en RegistroTablasActualizacionMB#validarArchivosCarga"),
    REGISTRO_TABLAS_ACT_014("RTA014", "Se debe seleccionar un año de vigencia",
        "Año seleccionado es nulo : RegistroTablasActualizacionMB#buscar"),
    REGISTRO_TABLAS_ACT_015("RTA015",
        "No se encuentran cargues realizados para el municipio seleccionado",
        "No existe registro AX_MUNICIPIO : RegistroTablasActualizacionMB#buscar"),
    REGISTRO_TABLAS_ACT_016("RTA016",
        "Se debe seleccionar por lo menos una zona, sobre la que se va a realizar la carga de las tablas",
        "No se selecciono zona : RegistroTablasActualizacionMB#validarArchivosCarga"),
    REGISTRO_TABLAS_ACT_017("RTA017",
        "Ya se encuentra cargada una tabla de construcción  para esta zona, sector, zona homogénea física, destino verifique",
        "Datos asociados a la tabla cargados previamente : RegistroTablasActualizacionMB#validarArchivosCarga"),
    REGISTRO_TABLAS_ACT_018("RTA018", "El nombre del archivo se encuentra repetido, verifique",
        "Archivo con el mismo nombre ya existente : RegistroTablasActualizacionMB#cargarArchivo"),
    REGISTRO_TABLAS_ACT_019("RTA019", "El archivo está vacío, verifique",
        "Archivo sin registros : RegistroTablasActualizacionMB#cargarArchivo"),
    REGISTRO_TABLAS_ACT_020("RTA020",
        "La tabla de construcción no tiene asociado ningún uso de construcción, verifique",
        "No se selecciono uso : RegistroTablasActualizacionMB#cargarArchivo"),
    REGISTRO_TABLAS_ACT_021("RTA021",
        "Se debe seleccionar el tipo de tabla que se desea cargar, verifique",
        "No selecciono tipo de tabla : RegistroTablasActualizacionMB#validarArchivosCarga"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_001("CGACT001",
        "El archivo seleccionado se cargó exitosamente al sistema.",
        "Archivo 7z de actualizacion cargado: cargueInformacionGeograficaActualizacion#archivoUpload"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_002("CGACT002", "Error cargando archivo de proceso de actualización",
        "Error cargando archivo ZIP actualización: cargueInformacionGeograficaActualizacion#archivoUpload"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_003("CGACT003", "Ha iniciado el proceso de validación",
        "Proceso de valicacion iniciado: cargueInformacionGeograficaActualizacion#validacionGeografica"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_004("CGACT004", "Se debe establecer la jurisdicción y vigencia de la actualización, por favor verifique",
        "Proceso de valicacion iniciado: cargueInformacionGeograficaActualizacion#establecerCargues"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_005("CGACT005", "Se ha presentado un error en el almacenamiento de la base de datos. Por favor intente nuevamente. Si el error persiste, por favor comuníquese con el administrador.",
        "Proceso de registro de GDB en base de datos : cargueInformacionGeograficaActualizacion#guardarArchivoCargue"),
    CARGUE_GEOGRAFICO_ACTUALIZACION_006("CGACT006", "¿Está seguro de sobrescribir la BD cargada? Si se han obtenido resultados de las validaciones estos serán eliminados.",
        "Existe una GDB cargada : cargueInformacionGeograficaActualizacion#cargarOpcionPredios"),
    ERROR_DB_PROC("DBSP", "{0}", "Mensaje en procedimiento almacenado {0}"),
    CARGA_DOCUMENTO_FALTANTE_001("CDF001",
        "No se pudo completar satisfactoriamente la documentación del trámite, fallo cargando el documento en el servidor.Intentelo nuevamente, si persiste el error Comuniquese con el Administrador",
        "Fallo cargando el documento faltante en el servidor del FTP: GestionarSolicitudesMB#guardarTramiteDocumentacionAportada"),
    RECLAMAR_ACTIVIDAD_001("RA001", "Error al reclamar la actividad en process",
        "Error en ProcesosBean#reclamarActividad para el tramite: "),
    LIBERAR_ACTIVIDAD_001("LI001", "Error al liberar la actividad en process",
        "Error en ProcesosBean#liberarActividad para el tramite: "),
    CONSULTA_TRAMITE_001("CA001",
        "Solicitud asociada a proceso de ACTUALIZACIÓN, para poder continuar se requiere adicionalmente, el número de radicación. Favor completar",
        "Solicitud de actualizacion ConsultaTramiteMB#busquedaConFiltros para el tramite: "),
    COMUNICA_NOTIFICACION_001("NM001",
        "Se presento un error en la consulta de horarios por territorial",
        "Se presento un error ejecutando el procedimiento almacenado de consultaProcedimientoHorarioAtencion: ComunicacionNotificacionResolucionMB.validaHorarioTerritorial"),

    //cancelacion masiva
    CANCELACION_MASIVA_001("CM001",
        "Los predios que pueden ser asociados en la cancelación de predio, deben ser de condición cero",
        " EntradaProyeccionMB#adicionarPrediosCancelacionMasiva"),
    CANCELACION_MASIVA_002("CM002",
        "Los predios {0} no son colindantes, verifique dicha colindancia",
        "Los predios seleccionados para la cancelacion no son colidantes entre si: EntradaProyeccionMB#adicionarPrediosCancelacionMasiva"),
    CANCELACION_MASIVA_003("CM003",
        "El predio: {0} está  proyectado en el trámite: {1} no se puede tramitar se requiere que el trámite asociado finalice para continuar",
        "Predio con tramites asociados: EntradaProyeccionMB#determinarTramitesAsociados"),
    CANCELACION_MASIVA_004("CM004",
        "El predio: {0}  se encuentra cancelado y no puede ser asociado al trámite",
        "Predios en estado cancelados: EntradaProyeccionMB#determinarPrediosCancelados"),
    CANCELACION_MASIVA_005("CM005",
        "El predio: {0}  ya se encuentra asociado al trámite y no puede ser seleccionado",
        "Predios asociado previamente: EntradaProyeccionMB#determinarPrediosExistentes"),
    CANCELACION_MASIVA_006("CM006",
        "El predio: {0} está  bloqueado, no  puede ser asociado al trámite",
        "Predios asociado esta bloqueado: EntradaProyeccionMB#determinarPrediosBloqueados"),
    CANCELACION_MASIVA_007("CM007",
        "Los predios seleccionados son del PH o condominio y no pueden ser retirados.",
        "No se permite retira predios del ph: EntradaProyeccionMB#retirarPrediosCancelacionMasiva"),
    CANCELACION_MASIVA_008("CM008",
        "La información relacionada a la cancelación masiva no esta completa.",
        "Alguna de las validaciones para el envio al coordinador no se cumple: ProyectarConservacionMB#enviarACoordinador"),
    CANCELACION_MASIVA_009("CM009", "La construcción tiene repetida la unidad, verifique.",
        "La construccion tiene el identificador de unida repetida ProyectarConservacionMB#validacionesConstruccionesCancelacionMasiva"),
    CANCELACION_MASIVA_010("CM010", "La construcción no tiene unidad de construcción.",
        "La construccion tiene el identificador vacio o nulo ProyectarConservacionMB#validacionesConstruccionesCancelacionMasiva"),
    CANCELACION_MASIVA_015("CM015",
        "El total de puntaje ha sido modificado, este debe ser igual a {0} verifique.",
        "Puntaje no coincidente de la construccion ProyectarConservacionMB#validacionesConstruccionesCancelacionMasiva"),
    //cancelacion masiva asociar construcciones
    CANCELACION_MASIVA_011("CM011",
        "La unidad {0}, no ha sido posible establecer el valor de metro cuadrado para dicha unidad",
        "La construccion no tiene valor metro cuadrado GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionCM"),
    CANCELACION_MASIVA_012("CM012",
        "El valor del avalúo de la unidad {0} es negativo o cero, por favor verifique",
        "La construccion tiene avaluo cero GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionCM"),
    CANCELACION_MASIVA_013("CM013", "El área construida de la unidad {0}, es cero. Verifique",
        "La construccion tiene area cero GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionCM"),
    CANCELACION_MASIVA_014("CM014",
        "El uso de unidad asociado a la construcción {0}, no existe, verifique",
        "La construccion no tiene uso de construccion GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionCM"),

    ACT_RECLAMADA("AR", "El trámite con número de radicación {0} ya fue reclamado por otro usuario",
        "Actividad reclamada previamente ProcesosBean#reclamarActividad "),
    ACT_RECLAMADA_NO_RAD("ARNR", "La solicitud  con número {0} ya fue reclamada por otro usuario",
        "Actividad reclamada previamente ProcesosBean#reclamarActividad "),
    CONSULTA_DELEGACION_001("CD001", "El predio registrado no pertenece a la delegada, Verifique",
        "Predio no perteneciente a los municipios de la delegada: ConsultaTramiteMB#busquedaConFiltros"),
    CONSULTA_DELEGACION_002("CD002",
        "Relacione el número de correspondencia con el cual fueron recibidos los documentos",
        "Numero de radicado vacio : EjecucionMB#buscarRadicadoEnCorrespondecia"),
    CONSULTA_DELEGACION_003("CD003", "Predio no está activo",
        "Predio en estado CANCELADO : RegistroDatosProductosSolicitudMB#asociarNumeroPredialAProducto"),
    CONSULTA_DELEGACION_004("CD004", "Predio no existe",
        "Predio no encontrado en el sistema : RegistroDatosProductosSolicitudMB#asociarNumeroPredialAProducto"),
    CONSULTA_DELEGACION_005("CD005",
        "Algún(os) de (los) predio(s) no cumple(n) el formato, verifique",
        "Longitud no valida : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_DELEGACION_006("CD006",
        "Algún(os) de (los) predio(s) no pertenece(n) al departamento o municipio seleccionado, verifique",
        "Predios de departamentos diferentes : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_DELEGACION_007("CD007", "Se debe seleccionar un departamento y un municipio",
        "Municipio no seleccionado : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_DELEGACION_008("CD008", "Algún(os) de (los) predio(s) no existen, verifique",
        "Predios no exixsten o estan cancelados : RegistroDatosProductosSolicitudMB#lecturaArchivoMasivoPredio"),
    CONSULTA_DELEGACION_009("CD009",
        "Esta resolución pertenece a una territorial u otra delegada y no puede ser seleccionada",
        "Municipios por fuera de la delegada : RegistroDatosProductosSolicitudMB#asociarResolucionesAProducto"),
    CONSULTA_DELEGACION_010("CD010",
        "Esta resolución pertenece a una  delegada y no puede ser seleccionada",
        "Municipios pertenecen a delegada y se intentan acceder desde territorial : RegistroDatosProductosSolicitudMB#asociarResolucionesAProducto"),
    CONSULTA_DELEGACION_011("CD011",
        "El departamento y municipio seleccionados  corresponden a una delegada, verifique",
        "Municipios pertenecen a delegada y se intentan acceder desde territorial : GestionarSolicitudesMB#busquedaConFiltros"),
    CONSULTA_DELEGACION_012("CD012", "El predio registrado pertenece a la delegada, Verifique",
        "Predios pertenecen a delegada y se intentan acceder desde territorial : GestionarSolicitudesMB#busquedaConFiltros"),
    CONSULTA_HABILITACION_001("CD001", "El predio registrado no pertenece al Gestor Habilitado, Verifique",
            "Predio no perteneciente a los municipios del Gestor Habilitado: ConsultaTramiteMB#busquedaConFiltros"),
    CONSULTA_HABILITACION_002("CD002",
            "Relacione el número de correspondencia con el cual fueron recibidos los documentos",
            "Numero de radicado vacio : EjecucionMB#buscarRadicadoEnCorrespondecia"),
    CONSULTA_HABILITACION_003("CD003", "Predio no está activo",
            "Predio en estado CANCELADO : RegistroDatosProductosSolicitudMB#asociarNumeroPredialAProducto"),
    CONSULTA_HABILITACION_004("CD004", "Predio no existe",
            "Predio no encontrado en el sistema : RegistroDatosProductosSolicitudMB#asociarNumeroPredialAProducto"),
    CONSULTA_HABILITACION_005("CD005",
            "Algún(os) de (los) predio(s) no cumple(n) el formato, verifique",
            "Longitud no valida : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_HABILITACION_006("CD006",
            "Algún(os) de (los) predio(s) no pertenece(n) al departamento o municipio seleccionado, verifique",
            "Predios de departamentos diferentes : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_HABILITACION_007("CD007", "Se debe seleccionar un departamento y un municipio",
            "Municipio no seleccionado : RegistroDatosProductosSolicitudMB#validarNumeroPredial"),
    CONSULTA_HABILITACION_008("CD008", "Algún(os) de (los) predio(s) no existen, verifique",
            "Predios no exixsten o estan cancelados : RegistroDatosProductosSolicitudMB#lecturaArchivoMasivoPredio"),
    CONSULTA_HABILITACION_009("CD009",
            "Esta resolución pertenece a una territorial u otro Gestor y no puede ser seleccionada",
            "Municipios por fuera de Gestor Habilitado : RegistroDatosProductosSolicitudMB#asociarResolucionesAProducto"),
    CONSULTA_HABILITACION_010("CD010",
            "Esta resolución pertenece a un  Gestor Habilitado y no puede ser seleccionada",
            "Municipios pertenecen a un Gestor Habilitado y se intentan acceder desde territorial : RegistroDatosProductosSolicitudMB#asociarResolucionesAProducto"),
    CONSULTA_HABILITACION_011("CD011",
            "El departamento y municipio seleccionados  corresponden a un Gestor Habilitado, verifique",
            "Municipios pertenecen a un Gestor Habilitado y se intentan acceder desde territorial : GestionarSolicitudesMB#busquedaConFiltros"),
    CONSULTA_HABILITACION_012("CD012", "El predio registrado pertenece a un Gestor Habilitado, Verifique",
            "Predios pertenecen a un Gestor Habilitado y se intentan acceder desde territorial : GestionarSolicitudesMB#busquedaConFiltros"),
    PARAMS_DOCUMENTOS_001("PD001", "Se debe seleccionar una territorial",
        "No se selecciono territorial : ParametrizacionCarguePlantillaDocumentoMB#cargarPlantillaParametrizada"),
    PARAMS_DOCUMENTOS_002("PD002", "Se debe seleccionar una sección ",
        "No se selecciono seccion : ParametrizacionCarguePlantillaDocumentoMB#cargarSeccion"),
    PARAMS_REPORTES_001("PR001",
        "El funcionario {0}, tiene asignado el reporte {1} para un departamento y/o municipio y las mismas opciones asignadas, verifique",
        "Parametrizacion duplicada : ParametrizacionUsuariosReportesMB#guardarParametrizacion"),
    PARAMS_REPORTES_002("PR002",
        "El funcionario no puede ser eliminado ya que ha generado este tipo de reporte, este puede ser desactivado pero no eliminado",
        "Funcionario con subscripciones a reportes asociados : ParametrizacionUsuariosReportesMB#eliminarParametrizacion"),

    GENERAR_COPIA_EDICION_001("GCE001",
        "La manzana o vereda se encuentra en proceso de control de depuración por favor esperar a aplicar dichos cambios.",
        "Trámite pendiente por aplicar cambios depuración : GeneralMB#validarEnvioModificacionGeografica"),
    SUBIR_FOTO_001("SF001", "Documento no ha sido cargado, por favor volver a intentarlo",
        "Se presentó un error en la comunicación al cargar el archivo:ProyectarConservacionMB#imagenUpload"),
    SUBIR_FOTO_002("SF002",
        "Ocurrió un error al reemplazar el documento del trámite, por favor volver a intentarlo",
        "Se presentó un error en la comunicación al cargar el archivo:DigitalizacionDocumentosMB#confirmaCargaDocumento"),
    //modificacion de PH
    MODIFICACION_PH_001("MPH001",
        " Se están asociando unidades privadas de un PH o condominio y estas deben ser asociadas las fichas matrices de los mismos",
        "Predios sin ficha matriz : ParametrizacionCarguePlantillaDocumentoMB#cargarSeccion"),
    MODIFICACION_PH_002("MPH002",
        " Se está asociando la mejora pero no el predio NPH que contiene la mejora, verifique",
        "Predios mejoras  : ParametrizacionCarguePlantillaDocumentoMB#cargarSeccion"),
    MODIFICACION_PH_003("MPH003",
        "No todos los predios pertenecen a la misma manzana o vereda por favor verifique",
        "Predios manzanas diferentes  : ParametrizacionCarguePlantillaDocumentoMB#cargarSeccion"),
    MODIFICACION_PH_004("MPH004",
        "El predio {0}, tiene mejoras y no se han asociado TODAS al trámite",
        "Predio no oncluye mejoras  : ParametrizacionCarguePlantillaDocumentoMB#cargarSeccion"),
    MODIFICACION_PH_005("MPH005", "Sólo se puede asociar una vez la unidad {0}, al predio actual",
        "Sólo se puede asociar una vez la unidad al predio actual  : GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionEV"),
    MODIFICACION_PH_006("MPH006", "No se puede asociar una construccion con área 0",
        "No se puede asociar una construccion con área 0  : GestionDetalleAvaluoMB#validacionesConstruccionesAsociacionEV"),
    MODIFICACION_PH_007("MPH007",
        "El area de la nueva construccion es mayor al area de la construccion existente",
        "El area de la nueva construccion es mayor al area de la construccion existente  : GestionDetalleAvaluoMB#validacionesConstruccionesEnglobeVirtual"),
    MODIFICACION_PH_008("MPH008",
        "La letra modificada ya ha sido asignada a otra construccion asociada",
        "La letra modificada ya ha sido asignada a otra construccion asociada  : GestionDetalleAvaluoMB#validacionesConstruccionesEnglobeVirtual"),
    MODIFICACION_PH_009("MPH009", "Ha seleccionado un tipo de ficha matriz que no es válido",
        "Ficha matriz no consistente con ficha asociadas  : EntradaProyeccionMB#validarTipoFicha"),
    MODIFICACION_PH_010("MPH010",
        "Existen predios seleccionados que se encuentran asociados a diferentes fichas matrices, verifique",
        "Existen predios seleccionados que se encuentran asociados a diferentes fichas matrices, verifique  : FichaMatrizMB#cargarPredios"),
    MODIFICACION_PH_011("MPH011",
        "Debe seleccionar predios de la misma condición de predio, verifique",
        "Debe seleccionar predios de la misma condición de predio, verifique : FichaMatrizMB#cargarPredios"),
    MODIFICACION_PH_012("MPH012",
        "Los predios seleccionados deben pertenecer a la misma torre, verifique",
        "Predios seleccionados de diferentes torre : FichaMatrizMB#cargarPredios"),
    MODIFICACION_PH_013("MPH013",
        "Debe seleccionar el número de torre sobre el cual se va a  crear la unidad, verifique",
        "Debe seleccionar el número de torre sobre el cual se va a  crear la unidad, verifique : FichaMatrizMB#crearNumerosPrediales"),
    MODIFICACION_PH_014("MPH014",
        "Debe seleccionar el número de piso sobre el cual se va a  crear la unidad, verifique",
        "Debe seleccionar el número de piso sobre el cual se va a  crear la unidad, verifique : FichaMatrizMB#crearNumerosPrediales"),
    MODIFICACION_PH_015("MPH015", "Debe registrar la cantidad de unidades a crear, verifique",
        "Debe registrar la cantidad de unidades a crear, verifique : FichaMatrizMB#crearNumerosPrediales"),
    MODIFICACION_PH_067("MPH067", "Debe seleccionar la zona a ser editada, verifique",
        "Debe seleccionar la zona a ser editada, verifique : GestionDetalleAvaluoMB#guardarNuevaZona"),
    MODIFICACION_PH_068("MPH068",
        "No se ha realizado actualización en el año {0}, pero las zonas registradas no corresponden con las zonas resultantes del trámite. Verifique",
        "No se ha realizado actualización en el año <vigencia>, pero las zonas registradas no corresponden con las zonas resultantes del trámite. Verifique : GestionDetalleAvaluoMB#guardarNuevaZona"),
    MODIFICACION_PH_056("MPH056",
        "El predio {0} requiere el registro manual de zonas para la vigencia {1}, por lo cual no puede realizarse el cálculo del avalúo, verifique.",
        "Predio sin registro manual de zonas: GestionDetalleAvaluoMB#cargaZonasVigentesPredio"),
    MODIFICACION_PH_057("MPH057", "El área de terreno debe ser mayor a cero, verifique.",
        "área de terreno igual a cero: GestionDetalleAvaluoMB#guardarNuevaZona"),
    MODIFICACION_PH_058("MPH058",
        "El predio {0} seleccionado no tiene numero predial nuevo, verifique.",
        "Predio sin numero predial nuevo: FichaMatrizMB#borrarNumerosPrediales"),
    MODIFICACION_PH_059("MPH059",
        "Por favor tenga en cuenta que el documento de autorización debe ser un único archivo.",
        "Solo un documento de autorización: RegistroNotificacionMB#guardarDatosNotificado"),
    MODIFICACION_PH_060("MPH060",
        "El número de unidad {0} del condominio ya se encuentra asignado, verifique.",
        "Unidad repetida: FichaMatrizMB#modificarNumerosPrediales"),
    MODIFICACION_PH_061("MPH061",
        "La sumatoria de las áreas de terreno de las zonas para la vigencia {0} es mayor que sumatoria de las áreas de terreno de las zonas calculadas para el trámite {1},verifique.",
        "Sumatoria de areas mayor: GestionDetalleAvaluoMB#validarZonasPredio"),
    MODIFICACION_PH_062("MPH062",
        "La sumatoria de las áreas de terreno de las zonas para la vigencia {0} es menor que sumatoria de las áreas de terreno de las zonas calculadas para el trámite {1},, verifique.",
        "Sumatoria de areas menor: GestionDetalleAvaluoMB#validarZonasPredio"),
    //validar y guardar englobe virtual
    MODIFICACION_PH_016("MPH016", "El predio {0} no tiene matricula inmobiliaria",
        "El predio no tiene matricula inmobiliaria, verifique : ValidadorEnglobeVirtual#validarMatricula"),
    MODIFICACION_PH_017("MPH017",
        "El predio {0} tiene una matrícula inmobiliaria que ya se encuentra asignada a otro predio del trámite.",
        "El predio tiene matricula repetida, verifique : ValidadorEnglobeVirtual#validarMatricula"),
    MODIFICACION_PH_018("MPH018",
        "El predio {0} tiene una matrícula inmobiliaria con No de registro igual a cero.",
        "El predio tiene matricula cero, verifique : ValidadorEnglobeVirtual#validarMatricula"),
    MODIFICACION_PH_019("MPH019",
        "El predio {0} tiene una matrícula inmobiliaria que ya se encuentra asignada en otro predio.",
        "El predio tiene matricula cero, verifique : ValidadorEnglobeVirtual#validarMatricula"),
    MODIFICACION_PH_020("MPH020",
        "La ficha matriz del trámite es mixta pero no se encuentran unidades privadas de condición 8 y condición 9.",
        "Tipo ficha matriz inconsistente : ValidadorEnglobeVirtual#validarTipoFicha"),
    MODIFICACION_PH_021("MPH021",
        "La ficha matriz del trámite es PH pero  se encuentran unidades privadas de condición 8.",
        "Tipo ficha matriz inconsistente : ValidadorEnglobeVirtual#validarTipoFicha"),
    MODIFICACION_PH_022("MPH022",
        "La ficha matriz del trámite es Condominio pero  se encuentran unidades privadas de condición 9.",
        "Tipo ficha matriz inconsistente : ValidadorEnglobeVirtual#validarTipoFicha"),
    MODIFICACION_PH_023("MPH023",
        "El predio {0}, no se ha asignado el número de terreno correspondiente a la propiedad horizontal resultante del trámite",
        "Predio con diferente numero de terreno : ValidadorEnglobeVirtual#validarNumeroPredial"),
    MODIFICACION_PH_024("MPH024",
        "El predio {0}, se encuentra duplicado. Póngase en contacto con la mesa de ayuda",
        "Predio con numeo predial existente : ValidadorEnglobeVirtual#validarNumeroPredial"),
    MODIFICACION_PH_025("MPH025", "El predio {0}, no tiene por lo menos una dirección asociada.",
        "Predio sin direccion  : ValidadorEnglobeVirtual#validarUbicacion"),
    MODIFICACION_PH_026("MPH026", "El predio {0}, no tiene tipo de predio seleccionado.",
        "Predio sin tipo  : ValidadorEnglobeVirtual#validarUbicacion"),
    MODIFICACION_PH_027("MPH027", "El predio {0}, no tiene un destino seleccionado.",
        "Predio sin destino  : ValidadorEnglobeVirtual#validarUbicacion"),
    MODIFICACION_PH_028("MPH028", "El predio {0}, tiene área de terreno igual a cero, verifique.",
        "Predio sin area  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_029("MPH029",
        "La unidad de construcción para el predio {0}, ha sido modificada.",
        "Predio con unidades modificadas  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_030("MPH030",
        "Algunas construcciones de los predios asociados no están asociadas a ninguna unidad privada o construcción común.",
        "Predio con unidades no asociadas  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_031("MPH031",
        "La sumatoria de las áreas de terreno de las zonas registradas para la vigencia {0}, en el predio {1}, es mayor a la sumatoria de las áreas de terreno de las zonas registradas para la vigencia actual.",
        "Predio con diferencia de areas en las zonas  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_032("MPH032",
        "Para construcción {0} del predio {1} no ha sido posible calcular el valor de la construcción, verifique.",
        "Construccion con avaluo en cero  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_033("MPH033", "La unidad privada {0}, tiene avalúo cero, verifique.",
        "Unidad con avaluo en cero  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_034("MPH034",
        "La unidad privada {0}, tiene avalúo de terreno privado cero, verifique.",
        "Condominio con avaluo terreno en cero  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_035("MPH035", "La unidad privada {0}, tiene avalúo de terreno cero, verifique.",
        "Condominio con avaluo terreno en cero  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_036("MPH036",
        "El predio {0}, no está en la misma torre que los predios que se encontraban asignados a la misma torre.",
        "Torre mal asignada  : ValidadorEnglobeVirtual#validarProyeccionTramite"),
    MODIFICACION_PH_037("MPH037",
        "Los predios asignados en el condominio no empiezan en 1 o no son consecutivos, verifique la numeración.",
        "Torre mal asignada  : ValidadorEnglobeVirtual#validarProyeccionTramite"),
    MODIFICACION_PH_038("MPH038",
        "La sumatoria de los coeficientes de copropiedad no es igual a 1.0, verifique. {0}",
        "Torre mal asignada  : ValidadorEnglobeVirtual#validarCoeficientes"),
    MODIFICACION_PH_039("MPH039", "El predio {0} tiene coeficiente igual a cero, verifique.",
        "Torre mal asignada  : ValidadorEnglobeVirtual#validarCoeficientes"),
    MODIFICACION_PH_040("MPH040", "El predio {0} tiene coeficiente igual a 1.0, verifique.",
        "Torre mal asignada  : ValidadorEnglobeVirtual#validarCoeficientes"),
    MODIFICACION_PH_041("MPH041", "Falta registrar datos obligatorios para registrar la nueva zona",
        "Falta registrar datos obligatorios para registrar la nueva zona : GestionDetalleAvaluoMB#registraZonasPredio"),
    MODIFICACION_PH_042("MPH042", "Debe existir por lo menos dos unidades de {0}.",
        "No existen las unidades minimas para el tipo ficha: GestionDetalleAvaluoMB#validarUnidadesFicha"),
    MODIFICACION_PH_043("MPH043",
        "La cantidad total de predios es diferente a la cantidad de unidades registradas para la torre {0}.",
        "Torre con predios inonsistentes: GestionDetalleAvaluoMB#validarUnidadesFicha"),
    MODIFICACION_PH_044("MPH044",
        "Las torres asignadas en el trámite deben iniciar en 1 y no deben presentar saltos.",
        "Torres no consecutivas: GestionDetalleAvaluoMB#validarUnidadesFicha"),
    MODIFICACION_PH_045("MPH045", "El predio {0}, no tiene propietarios asociados, verifique.",
        "Predio sin popiedtarios: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_046("MPH046", "El predio {0}, tiene propietarios repetidos, verifique.",
        "Predio con propietarios repetidos: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_047("MPH047",
        "El predio {0}, no tiene asociada la justificación de propiedad, verifique.",
        "Predio sin justificaciones: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_048("MPH048",
        "El predio {0}, no tiene asociada la fecha del título  justificación de propiedad, verifique.",
        "Justificacion sin fecha titulo: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_049("MPH049",
        "El predio {0}, no tiene documento asociado a la justificación de propiedad, verifique.",
        "Justificacion sin documento: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_050("MPH050",
        "El predio {0} tiene una fecha de inscripción catastral diferente, verifique.",
        "Predio con fecha de justificacion diferente: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_051("MPH051",
        "El predio {0} tiene una justificación de propiedad que no coincide con los otros predios, verifique.",
        "Predio con justificaciones inconsistentes: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_052("MPH052", "El trámite no tiene información geográfica inicial, verifique.",
        "Tramite sin replica 97: GestionDetalleAvaluoMB#validarReplicasGeograficas"),
    MODIFICACION_PH_053("MPH053",
        "El trámite no tiene información geográfica resultado del trámite, verifique.",
        "Tramite sin replica 98: GestionDetalleAvaluoMB#validarReplicasGeograficas"),
    MODIFICACION_PH_054("MPH054",
        "Para ser englobe virtual debe estar asociado por lo menos dos predios al tramite.",
        "No hay predios agregados para englobe virtual: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_055("MPH055",
        "El predio {0} no tiene una fecha de inscripción catastral, verifique.",
        "Predio con fecha de justificacion diferente: GestionDetalleAvaluoMB#validarPropietarios"),
    MODIFICACION_PH_063("MPH063",
        "Ha seleccionado la ficha matriz y esta no tiene asociado un destino económico, verifique",
        "Se seleccionó la ficha matriz para modificar destino"),
    MODIFICACION_PH_064("MPH064",
        "Ha seleccionado la ficha matriz y esta no tiene asociado un tipo de predio, verifique",
        "Se seleccionó la ficha matriz para modificar tipo de predio"),
    MODIFICACION_PH_065("MPH065", "El valor de incremento debe ser mayor a cero.",
        "El incremento tienen valor cero."),
    MODIFICACION_PH_066("MPH066", "El valor de registro inicial debe ser mayor a cero.",
        "El Número de registro inicial tienen valor cero."),
    MODIFICACION_PH_069("MPH069",
        "La matrícula inmobiliaria ya se encuentra asignada en otro predio del municipio.",
        "La matricula ya se encuentra asignada a otro predio, verifique : EntradaProyeccionMB#asignarMatriculaMasivo"),
    MODIFICACION_PH_070("MPH070",
        "Esta funcionalidad debe hacerse en forma separada para predios migrados de cobol y los creados en el SNC.",
        "Se han seleccionado predios de cobol y diferentes a cobol : FichaMatrizMB#cargarPredios"),
    MODIFICACION_PH_071("MPH071", "Todas las torres deben estar numeradas.",
        "Tore sin numeo asignado : FichaMatrizMB#cargarPredios"),
    MODIFICACION_PH_072("MPH072",
        "Ya existe una zona registrada con los mismos valores para la vigencia seleccionada {0}.",
        "Zona ya registrada  : GestionDetalleAvaluoMB#validarZonasPredio"),
    MODIFICACION_PH_073("MPH073",
        "La sumatoria de las áreas de terreno de las zonas registradas para la vigencia {0} es menor a la sumatoria de las áreas de terreno de las zonas registradas para la vigencia actual.",
        "Predio con diferencia de areas en las zonas  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_074("MPH074",
        "La unidad privada {0}, tiene avalúo cero para la vigencia {1}, verifique.",
        "Unidad con avaluo en cero en retroactivo  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_075("MPH075",
        "La construcción {0} del predio {1} tiene area construida en cero, verifique.",
        "Unidad con area construccion en cero  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_076("MPH076",
        "La sumatoria de las áreas de terreno de las zonas registradas para la vigencia {0}, es mayor a la sumatoria de las áreas de terreno de las zonas registradas para la vigencia actual.",
        "Predio con diferencia de areas en las zonas  : ValidadorEnglobeVirtual#validarDetalleAvaluo"),
    MODIFICACION_PH_077("MPH077", "Debe seleccionar un número de ficha matriz.",
        "Prewdio no seleccionado  : EntradadProyeccionMB#guardarNumeroFichaMatriz"),
    REPORTES_EST_001("RE001", "El reporte con codigo: {0}  fue asociado al usuario: {1}",
        "Reporte asociado a usuario"),
    REPORTES_EST_002("RE002",
        "No se ha podido realizar su asociación al reporte. Por favor comuníquese con el administrador",
        "Reporte asociado a usuario"),
    REPORTES_EST_003("RE003",
        "El límite superior del intervalo no puede ser menor que el límite inferior, por favor rectifique",
        "Rango inconsistente"),
    REPORTES_EST_004("RE004",
        "El intervalo ingresado se superpone a uno ingresado anteriormente, por favor rectifique",
        "Rango superpuesto"),
    REPORTES_EST_005("RE005", "Se debe definir al menos dos intervalos por tipo de distribución",
        "No se ingresaron rangos suficientes"),
    REPORTES_EST_006("RE006", "Los intervalos deben tener continuidad, por favor rectifique",
        "Intervalo no continuo"),
    REPORTES_EST_007("RE007", "Solo se pueden definir un maximo de 30 intervalos",
        "Maximo de intervalos superados"),
    REPORTES_EST_008("RE008", "Se debe especificar el tipo de reporte para la busqueda",
        "Maximo de intervalos superados"),
    REPORTES_EST_009("RE009", "Se debe ingresar el numero predial por lo menos hasta el campo de manzana",
        "Numero predial no diligenciado completo : GestionReportesEstadisticosMB#validarNumerosPrediales"),
    REPORTES_EST_010("RE010", "Su usuario no tiene permisos, para generar este tipo de reporte",
        "Reporte nacional no admitido para el usuario : GestionReportesEstadisticosMB#validarPermisoNacional"),
    REPORTES_PRE_001("RP001",
        "El número predial inicial no debe ser mayor al número predial final ingresado.",
        "Numero predial inicial mayor al final : ConsultaReportesPredialesMB#validaCamposObligatorios"),
    REPORTES_PRE_002("RP002",
        "El área construida mínima no debe ser mayor al área construida máxima ingresada.",
        "Area construida inicial mayor a la final: ConsultaReportesPredialesMB#validaCamposObligatorios"),
    REPORTES_PRE_003("RP003",
        "El área de terreno mínima no debe ser mayor al área de terreno máxima ingresada.",
        "Area de terreno inicial mayor a la final: ConsultaReportesPredialesMB#validaCamposObligatorios"),
    REPORTES_PRE_004("RP004", "El avalúo mínimo no debe ser mayor al avalúo máximo ingresado.",
        "Avaluo inicial mayor al final: ConsultaReportesPredialesMB#validaCamposObligatorios"),
    REPORTES_PRE_005("RP005",
        "La matricula inicial no debe ser mayor a la matricula final ingresada.",
        "Matricula inicial mayor a la final: ConsultaReportesPredialesMB#validaCamposObligatorios"),

    DESENGLOBE_VAL_UNIDAD_CONSTRUCCION__001("DES001",
            "Las unidades de construcción asociadas al predio {0} deben tener un identificador de unidad único. Por favor verifíque.",
            "Valor ingresado para unidad se encuentra repetido ProyectarConservacionMB#guardarDatosUnidadConstruccionYComponentes"),
    DESENGLOBE_VAL_UNIDAD_CONSTRUCCION__002("DES002",
            "El valor de área construida no puede ser cero para la unidad {0}.",
            "El valor ingresado para el area es cero ProyectarConservacionMB#guardarDatosUnidadConstruccionYComponentes"),
    DESENGLOBE_VAL_UNIDAD_CONSTRUCCION__003("DES003",
            "Área unidad construida: Error de validación: el valor es inferior que el mínimo permitido de '0,001'.",
            "El valor ingresado fuera del rango ProyectarConservacionMB#guardarDatosUnidadConstruccionYComponentes"),

    //-------Inicio CC-NP-CO-083-------//

    VALIDACION_AVALUOS_CC083_01("CC083_01",
            "Error al validar las areas y avalúos del predio",
            "predio null para validar en las validaciones de : ValidadorAvaluoAreaRectificacion#validar"),
    VALIDACION_AVALUOS_CC083_02("CC083_02",
            "Existe una diferencia en el área de terreno y en la sumatoria de las áreas de las zonas",
            "diferencia de áreas en: ValidadorAvaluoAreaRectificacion#validarRectificacionArea"),
    VALIDACION_AVALUOS_CC083_03("CC083_03",
            "Error al calcular el valor del avalúo de las construcciones ",
            "construción con valor en cero en : ValidadorAvaluoAreaRectificacion#validarAvaluoContrucciones"),
    VALIDACION_AVALUOS_CC083_04("CC083_04",
            "Error al calcular el valor del avalúo de terreno privado",
            "avalúo terreno con valor en cero en : ValidadorAvaluoAreaRectificacion#validarAvaluoTerrenoCP8"),
    VALIDACION_AVALUOS_CC083_05("CC083_05",
            "Error al calcular el valor del avalúo de las construcciones privadas",
            "avalúo construción con valor en cero en : ValidadorAvaluoAreaRectificacion#validarAvaluoContruccionesPrivadasCP89"),
    VALIDACION_AVALUOS_CC083_06("CC083_06",
            "Error al consultar predio asociado al tramite para validación",
            "Error en  : ProyectarConservacionMB#validarGuardar");

    //-------Fin CC-NP-CO-083-------//

    private final String codigo;
    private final String mensajeUsuario;
    private final String mensajeTecnico;

    private ECodigoErrorVista(String codigo, String mensajeUsuario, String mensajeTecnico) {
        this.codigo = codigo;
        this.mensajeUsuario = mensajeUsuario;
        this.mensajeTecnico = mensajeTecnico;
    }

    public String getCodigo() {
        return codigo;
    }

    public String getMensajeUsuario() {
        return this.toString();
    }

    public String getMensajeTecnico() {
        return codigo + ": " + mensajeTecnico;
    }

    /**
     * Le da formato al mensaje agregando los parametros que este requiera
     *
     * @param params
     * @return
     */
    public String getMensajeUsuario(String... params) {

        if (params == null) {
            return this.toString();
        } else {
            try {
                return MessageFormat.format(this.toString(), params);
            } catch (IllegalArgumentException ex) {
                return this.toString();
            }
        }
    }

    /**
     * Le da formato al mensaje tecnico agregando los parametros que este requiera
     *
     * @param params
     * @return
     */
    public String getMensajeTecnico(String... params) {

        if (params == null) {
            return this.toString();
        } else {
            try {
                return MessageFormat.format(this.mensajeTecnico, params);
            } catch (IllegalArgumentException ex) {
                return this.mensajeTecnico;
            }
        }
    }

    @Override
    public String toString() {
        return codigo + ": " + mensajeUsuario;
    }
}
